#include <sys/types.h>
#include <sys/socket.h>
#include <sys/sysctl.h>
#include <sys/time.h>
#include <netinet/in.h>
#include <netinet/in_systm.h>
#include <netinet/ip.h>
#include <machine/in_cksum.h>
#include <netinet/tcp.h>
#include <netinet/udp.h>
#include <netinet/ip_icmp.h>
#include <net/if.h>
#include <net/if_dl.h>
#include <net/route.h>
#include <arpa/inet.h>
#include <alias.h>
#include <ctype.h>
#include <err.h>
#include <errno.h>
#include <netdb.h>
#include <signal.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <syslog.h>
#include <unistd.h>

// #include "queue.h"

#define CONF		"burstd.conf"

/* Connection type; bursting */
typedef struct _flow
{
	struct in_addr 	src_addr;
	struct in_addr	dst_addr;
	long long	bytes;
	long long	last;
	int		alive;
	int 		used;
}CONNECTION;

typedef struct _node
{
	struct _node 	*next;
	struct _flow	*data;
}CONN_LIST;

long long 	limit, rate;

/* Some functions */

/* signal.c */
void sig_alrm_hnd(int sig);
/* init.c */
void set_rate_limit();
/* parent.c */
int search_conn(CONNECTION cons[], struct in_addr saddr, struct in_addr daddr);
int add_conn(CONNECTION cons[], CONNECTION s_conn);
